DatabaseMetaData.LocalAndReferencedColumns
Date: 2016-03-08

com.mysql.jdbc

## Class DatabaseMetaData.LocalAndReferencedColumns

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.LocalAndReferencedColumns

- Enclosing class:
    DatabaseMetaData

       class DatabaseMetaData.LocalAndReferencedColumns
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `constraintName`
    `(package private) java.util.List<java.lang.String>` | `localColumnsList`
    `(package private) java.lang.String` | `referencedCatalog`
    `(package private) java.util.List<java.lang.String>` | `referencedColumnsList`
    `(package private) java.lang.String` | `referencedTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaData.LocalAndReferencedColumns(java.util.List<java.lang.String> localColumns, java.util.List<java.lang.String> refColumns, java.lang.String constName, java.lang.String refCatalog, java.lang.String refTable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### constraintName

          java.lang.String constraintName

    - #### localColumnsList

          java.util.List<java.lang.String> localColumnsList

    - #### referencedCatalog

          java.lang.String referencedCatalog

    - #### referencedColumnsList

          java.util.List<java.lang.String> referencedColumnsList

    - #### referencedTable

          java.lang.String referencedTable

  - ### Constructor Detail

    - #### DatabaseMetaData.LocalAndReferencedColumns

          DatabaseMetaData.LocalAndReferencedColumns(java.util.List<java.lang.String> localColumns,
                                                    java.util.List<java.lang.String> refColumns,
                                                    java.lang.String constName,
                                                    java.lang.String refCatalog,
                                                    java.lang.String refTable)